API Direct
Endpoints
YouTube Search Channels

YouTube Search Channels

GET /v1/youtube/channels
Documentation

Search YouTube channels by keyword. Returns channel name, description, subscriber count, and thumbnail. Supports fetching multiple pages of results in a single API call.

Cost
$0.005 per page
Free tier
50 requests/month

Parameters

query *
Search keyword (max 500 characters)
pages
Number of pages to fetch, 1-10 (default: 1)

Example Request

curl "https://apidirect.io/v1/youtube/channels?query=AI&pages=1" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "channels": [
    {
      "channel_id": "UCLKPca3kwwd-B59HNr-_lvA",
      "title": "AI Engineer",
      "description": "Talks, workshops, events, and training for AI Engineers.",
      "subscriber_count": "377K",
      "thumbnail": "https://yt3.ggpht.com/.../photo.jpg",
      "url": "https://youtube.com/channel/UCLKPca3kwwd-B59HNr-_lvA"
    }
  ],
  "pages": 1,
  "count": 20
}

Your Usage

Free tier this month
Loading...
Recent Activity